## qt6-wayland 6.6.1

=== debian/changelog ===
qt6-wayland (6.6.1-2) unstable; urgency=medium

  * feat: Support multi-key for input context plugin

 -- dengbo <dengbo@deepin.org>  Mon, 11 Mar 2024 16:40:48 +0800

qt6-wayland (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update ABI to 6.6.1.
  * Remove binary packages libqt6waylandeglclienthwintegration6 and
    libqt6waylandeglcompositorhwintegration6.

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Dec 2023 19:01:56 +0100

qt6-wayland (6.6.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Nov 2023 00:35:12 +0100

qt6-wayland (6.6.0-1) experimental; urgency=medium

  [ Tianyu Chen ]
  * New upstream release (6.6.0).
  * Update .install files.
  * Update symbols from buildlogs.

  [ Patrick Franz ]
  * Add virtual ABIs for the private headers.

 -- Patrick Franz <deltaone@debian.org>  Tue, 14 Nov 2023 20:55:46 +0100

qt6-wayland (6.4.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Sep 2023 20:25:16 +0200

qt6-wayland (6.4.2-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Add package for the private headers (Closes: #1013222).
  * Replace libfontconfig1-dev with libfontconfig-dev in the B-Ds as the
    former is superseded by the latter.

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Sep 2023 19:12:41 +0200

qt6-wayland (6.4.2-3) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 13:38:10 -0300

qt6-wayland (6.4.2-2) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages (Closes: #1042285).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 28 Jul 2023 19:05:34 -0300

=== debian/control ===
Source: qt6-wayland
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Lu YaNing <dluyaning@gmail.com>,
           Simon Quigley <tsimonq2@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libdrm-dev,
               libegl1-mesa-dev,
               libfontconfig-dev,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libxcomposite-dev,
               libxkbcommon-dev (>= 0.2.0),
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev (>= 6.6.1+dfsg~),
               qt6-base-private-dev (>= 6.6.1+dfsg~),
               qt6-declarative-dev (>= 6.6.1+dfsg~),
               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
               qt6-wayland-dev:native <cross>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git
Rules-Requires-Root: no

Package: libqt6waylandclient6
Architecture: any
Multi-Arch: same
Provides: qt6-waylandclient-private-abi (= 6.6.1),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Client library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Client library.

Package: libqt6waylandcompositor6
Architecture: any
Multi-Arch: same
Provides: qt6-waylandcompositor-private-abi (= 6.6.1),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Compositor library.

Package: libqt6wlshellintegration6
Architecture: any
Multi-Arch: same
Depends: libqt6waylandclient6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Wayland ShellIntegration library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland ShellIntegration library.

Package: qml6-module-qtwayland-compositor
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Wayland Compositor modules provide QML types that can be used to
 create custom display servers supporting the Wayland protocol.

Package: qml6-module-qtwayland-client-texturesharing
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Shared Texture Provider QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This module allows Qt Wayland clients to use graphical resources exported
 by the compositor, without allocating any graphics memory in the client.

Package: qt6-wayland
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6waylandeglclienthwintegration6, libqt6waylandeglcompositorhwintegration6
Replaces: libqt6waylandeglclienthwintegration6, libqt6waylandeglcompositorhwintegration6
Description: Qt 6 Wayland platform plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland platform plugin, which allows users
 to run Qt 6 applications under Wayland, and the qtwaylandscanner
 binary.

Package: qt6-wayland-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libqt6waylandclient6 (= ${binary:Version}),
         libqt6waylandcompositor6 (= ${binary:Version}),
         libqt6wlshellintegration6 (= ${binary:Version}),
         libwayland-dev,
         qt6-wayland-dev-tools (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 Wayland - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the development files for QtWayland client
 and compositor libraries.

Package: qt6-wayland-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-wayland-dev (= ${binary:Version}), ${misc:Depends},
Breaks: qt6-wayland-dev (<< 6.4.2-4),
Replaces: qt6-wayland-dev (<< 6.4.2-4),
Description: Qt 6 Wayland - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the private header development files for
 QtWayland client and compositor libraries.
 .
 Use at your own risk.

Package: qt6-wayland-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland developer tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland developer tools.
 At the moment there is only qtwaylandscanner tool here.

Package: qt6-wayland-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 wayland documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 wayland.

Package: qt6-wayland-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 wayland HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 wayland.

Package: qt6-wayland-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 wayland examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt wayland submodule.

## qt6-wayland 6.6.2

=== debian/changelog ===
qt6-wayland (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:46:10 +0200

qt6-wayland (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update ABI to 6.6.2.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 10:02:18 +0100

=== debian/control ===
--- 
+++ 
@@ -17,12 +17,12 @@
                libxcomposite-dev,
                libxkbcommon-dev (>= 0.2.0),
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.6.1+dfsg~),
-               qt6-base-private-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-dev (>= 6.6.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.1+dfsg~),
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
                qt6-wayland-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -38,7 +38,7 @@
 Package: libqt6waylandclient6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandclient-private-abi (= 6.6.1),
+Provides: qt6-waylandclient-private-abi (= 6.6.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Client library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -51,7 +51,7 @@
 Package: libqt6waylandcompositor6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandcompositor-private-abi (= 6.6.1),
+Provides: qt6-waylandcompositor-private-abi (= 6.6.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor library
  Qt is a cross-platform C++ application framework. Qt's primary feature

## qt6-wayland 6.7.2

=== debian/changelog ===
qt6-wayland (6.7.2-5) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.

  [ Patrick Franz ]
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Thu, 21 Nov 2024 21:43:13 +0100

qt6-wayland (6.7.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 02:10:42 +0200

qt6-wayland (6.7.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 14:57:47 +0200

qt6-wayland (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Sep 2024 12:05:14 +0200

qt6-wayland (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update ABI to 6.7.2.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Backport patches to fix crashes in Plasma 6.

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Sep 2024 00:56:23 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,8 @@
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                libdrm-dev,
                libegl1-mesa-dev,
                libfontconfig-dev,
@@ -17,19 +19,19 @@
                libxcomposite-dev,
                libxkbcommon-dev (>= 0.2.0),
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
                qt6-wayland-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git
@@ -38,7 +40,7 @@
 Package: libqt6waylandclient6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandclient-private-abi (= 6.6.2),
+Provides: qt6-waylandclient-private-abi (= 6.7.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Client library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -51,7 +53,7 @@
 Package: libqt6waylandcompositor6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandcompositor-private-abi (= 6.6.2),
+Provides: qt6-waylandcompositor-private-abi (= 6.7.2),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -78,7 +80,7 @@
 Package: qml6-module-qtwayland-compositor
 Multi-Arch: same
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -89,7 +91,7 @@
 Package: qml6-module-qtwayland-client-texturesharing
 Multi-Arch: same
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Shared Texture Provider QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -101,8 +103,10 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6waylandeglclienthwintegration6, libqt6waylandeglcompositorhwintegration6
-Replaces: libqt6waylandeglclienthwintegration6, libqt6waylandeglcompositorhwintegration6
+Breaks: libqt6waylandeglclienthwintegration6,
+        libqt6waylandeglcompositorhwintegration6,
+Replaces: libqt6waylandeglclienthwintegration6,
+          libqt6waylandeglcompositorhwintegration6,
 Description: Qt 6 Wayland platform plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -121,6 +125,8 @@
          libqt6waylandcompositor6 (= ${binary:Version}),
          libqt6wlshellintegration6 (= ${binary:Version}),
          libwayland-dev,
+         qml6-module-qtwayland-client-texturesharing (= ${binary:Version}),
+         qml6-module-qtwayland-compositor (= ${binary:Version}),
          qt6-wayland-dev-tools (= ${binary:Version}),
          ${misc:Depends},
 Description: Qt 6 Wayland - development files

## qt6-wayland 6.8.0

=== src/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from src.pro.
# special case begin
qt_find_package(WaylandScanner PROVIDED_TARGETS Wayland::Scanner)

set(QT_SBOM_DEFAULT_QT_LICENSE_ID_LIBRARIES "QT_COMMERCIAL_OR_GPL3")

set(wayland_libs
    Wayland::Client
    Wayland::Server
    Wayland::Cursor
    Wayland::Egl
)

foreach(lib IN LISTS wayland_libs)
    if(TARGET ${lib})
        qt_internal_disable_find_package_global_promotion(${lib})
    endif()
endforeach()

qt_find_package(Wayland 1.15 PROVIDED_TARGETS ${wayland_libs})

if (NOT WaylandScanner_FOUND OR NOT Wayland_FOUND)
    message(WARNING "QtWayland is missing required dependencies, nothing will be built. \
Although this could be considered an error, the configuration will still pass as coin (Qt's \
continuous integration system) will fail the build if configure fails, but will still try to \
configure the module on targets that are missing dependencies.")
    return()
endif()

# See global/README for a description of the following module.
qt_internal_add_module(WaylandGlobalPrivate
    INTERNAL_MODULE
    HEADER_MODULE
    NO_GENERATE_CPP_EXPORTS
)

# Work around 115101.
# If nothing depends on the WaylandGlobalPrivate target it doesn't run custom commands that the
# target depends on. WaylandGlobalPrivate_ensure_sync_headers makes sure that 'all' depends on
# WaylandGlobalPrivate_sync_headers.
# TODO: This needs to be removed once the fix for QTBUG-115101 is merged in qtbase.
add_custom_target(WaylandGlobalPrivate_ensure_sync_headers ALL)
add_dependencies(WaylandGlobalPrivate_ensure_sync_headers WaylandGlobalPrivate_sync_headers)

add_subdirectory(qtwaylandscanner)

# special case begin
# TODO: Ideally these macros would be part of the qtwaylandscanner tool, and not the compositor/client
include(client/Qt6WaylandClientMacros.cmake)
include(compositor/Qt6WaylandCompositorMacros.cmake)
#special case end

if (QT_FEATURE_wayland_client)
    add_subdirectory(client)
endif()

if (QT_FEATURE_wayland_server)
    add_subdirectory(compositor)
endif()

if (QT_FEATURE_wayland_server OR QT_FEATURE_wayland_client)
    add_subdirectory(hardwareintegration)
    add_subdirectory(plugins)
    add_subdirectory(imports)
endif()
# special case end

=== debian/changelog ===
qt6-wayland (6.8.0-0deepin7) UNRELEASED; urgency=medium

  * compositor: Reset keyboard modifier state completely after screen unlock

 -- Tian ShiLin <tianshilin@uniontech.com>  Fri, 18 Apr 2025 11:29:14 +0800

qt6-wayland (6.8.0-0deepin6) unstable; urgency=medium

  * Fix transparent window rendering when size was not changed

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 11 Mar 2025 19:30:22 +0800

qt6-wayland (6.8.0-0deepin5) unstable; urgency=medium

  * export the symbol of qtkey and qttouch protocol

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 11 Mar 2025 14:37:22 +0800

qt6-wayland (6.8.0-0deepin4) unstable; urgency=medium

  * Update symbols.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 15 Nov 2024 10:33:05 +0800

qt6-wayland (6.8.0-0deepin3) unstable; urgency=medium

  * Apply patch from upstream:
    client: Run waylandscanner with private-code
    https://codereview.qt-project.org/c/qt/qtwayland/+/598596

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 14 Nov 2024 21:23:31 +0800

qt6-wayland (6.8.0-0deepin2) unstable; urgency=medium

  [ Tianyu Chen ]
  * New upstream release (6.8.0).
  * Bump Qt B-Ds to 6.6.1.
  * Update ABI to 6.6.1.
  * Update list of installed files.

  [ lichenggang ]
  * add build-dep qt6-declarative-dev-tools 

 -- lichenggang <lichenggang@deepin.org>  Sun, 03 Nov 2024 03:15:25 +0800

qt6-wayland (6.6.1-2+deepin1) unstable; urgency=medium

  * Use static_cast rather than dynamic_cast.

 -- Lu YaNing <luyaning@uniontech.com>  Thu, 16 May 2024 11:03:28 +0800

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,6 @@
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                libdrm-dev,
                libegl1-mesa-dev,
                libfontconfig-dev,
@@ -19,19 +17,20 @@
                libxcomposite-dev,
                libxkbcommon-dev (>= 0.2.0),
                ninja-build,
+               pkg-config,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev-tools (>= 6.8.0+dfsg~),
                qt6-wayland-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git
@@ -40,7 +39,7 @@
 Package: libqt6waylandclient6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandclient-private-abi (= 6.7.2),
+Provides: qt6-waylandclient-private-abi (= 6.8.0),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Client library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -53,7 +52,7 @@
 Package: libqt6waylandcompositor6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandcompositor-private-abi (= 6.7.2),
+Provides: qt6-waylandcompositor-private-abi (= 6.8.0),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -80,7 +79,7 @@
 Package: qml6-module-qtwayland-compositor
 Multi-Arch: same
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -91,7 +90,7 @@
 Package: qml6-module-qtwayland-client-texturesharing
 Multi-Arch: same
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Shared Texture Provider QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -103,10 +102,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6waylandeglclienthwintegration6,
-        libqt6waylandeglcompositorhwintegration6,
-Replaces: libqt6waylandeglclienthwintegration6,
-          libqt6waylandeglcompositorhwintegration6,
+Breaks: libqt6waylandeglclienthwintegration6, libqt6waylandeglcompositorhwintegration6
+Replaces: libqt6waylandeglclienthwintegration6, libqt6waylandeglcompositorhwintegration6
 Description: Qt 6 Wayland platform plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -125,8 +122,6 @@
          libqt6waylandcompositor6 (= ${binary:Version}),
          libqt6wlshellintegration6 (= ${binary:Version}),
          libwayland-dev,
-         qml6-module-qtwayland-client-texturesharing (= ${binary:Version}),
-         qml6-module-qtwayland-compositor (= ${binary:Version}),
          qt6-wayland-dev-tools (= ${binary:Version}),
          ${misc:Depends},
 Description: Qt 6 Wayland - development files

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_BUILD_MULTIARCH}/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-wayland 6.8.1

=== debian/changelog ===
qt6-wayland (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:53:26 -0600

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: qt6-wayland
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
            Lu YaNing <dluyaning@gmail.com>,
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                libdrm-dev,
                libegl1-mesa-dev,
                libfontconfig-dev,
@@ -17,20 +20,19 @@
                libxcomposite-dev,
                libxkbcommon-dev (>= 0.2.0),
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev-tools (>= 6.8.0+dfsg~),
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
                qt6-wayland-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git
@@ -39,7 +41,7 @@
 Package: libqt6waylandclient6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandclient-private-abi (= 6.8.0),
+Provides: qt6-waylandclient-private-abi (= 6.8.1),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Client library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -52,7 +54,7 @@
 Package: libqt6waylandcompositor6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandcompositor-private-abi (= 6.8.0),
+Provides: qt6-waylandcompositor-private-abi (= 6.8.1),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -61,6 +63,54 @@
  QtWayland is a Qt 6 module that wraps the functionality of Wayland.
  .
  This package contains the Qt 6 Wayland Compositor library.
+
+Package: libqt6waylandcompositoriviapplication6
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Wayland Compositor Ivi Application library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ QtWayland is a Qt 6 module that wraps the functionality of Wayland.
+ .
+ This package contains the Qt 6 Wayland Compositor Ivi Application library.
+
+Package: libqt6waylandcompositorpresentationtime6
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Wayland Compositor Presentation Time library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ QtWayland is a Qt 6 module that wraps the functionality of Wayland.
+ .
+ This package contains the Qt 6 Wayland Compositor Presentation Time library.
+
+Package: libqt6waylandcompositorwlshell6
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Wayland Compositor WL Shell library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ QtWayland is a Qt 6 module that wraps the functionality of Wayland.
+ .
+ This package contains the Qt 6 Wayland Compositor WL Shell library.
+
+Package: libqt6waylandcompositorxdgshell6
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Wayland Compositor XDG Shell library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ QtWayland is a Qt 6 module that wraps the functionality of Wayland.
+ .
+ This package contains the Qt 6 Wayland Compositor XDG Shell library.
 
 Package: libqt6wlshellintegration6
 Architecture: any
@@ -79,7 +129,7 @@
 Package: qml6-module-qtwayland-compositor
 Multi-Arch: same
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -90,7 +140,7 @@
 Package: qml6-module-qtwayland-client-texturesharing
 Multi-Arch: same
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Shared Texture Provider QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -102,8 +152,10 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libqt6waylandeglclienthwintegration6, libqt6waylandeglcompositorhwintegration6
-Replaces: libqt6waylandeglclienthwintegration6, libqt6waylandeglcompositorhwintegration6
+Breaks: libqt6waylandeglclienthwintegration6,
+        libqt6waylandeglcompositorhwintegration6,
+Replaces: libqt6waylandeglclienthwintegration6,
+          libqt6waylandeglcompositorhwintegration6,
 Description: Qt 6 Wayland platform plugin
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -120,8 +172,14 @@
 Multi-Arch: same
 Depends: libqt6waylandclient6 (= ${binary:Version}),
          libqt6waylandcompositor6 (= ${binary:Version}),
+         libqt6waylandcompositoriviapplication6 (= ${binary:Version}),
+         libqt6waylandcompositorpresentationtime6 (= ${binary:Version}),
+         libqt6waylandcompositorwlshell6 (= ${binary:Version}),
+         libqt6waylandcompositorxdgshell6 (= ${binary:Version}),
          libqt6wlshellintegration6 (= ${binary:Version}),
          libwayland-dev,
+         qml6-module-qtwayland-client-texturesharing (= ${binary:Version}),
+         qml6-module-qtwayland-compositor (= ${binary:Version}),
          qt6-wayland-dev-tools (= ${binary:Version}),
          ${misc:Depends},
 Description: Qt 6 Wayland - development files
